Issues with upgrading to 3.6 and installing plugins

When I attempt to upgrade to 3.6 I get an error message. I get a similar message when I try to upgrade or install a plugin:

Call to undefined method Plugin_Upgrader::init() in /home/*redacted*/public_html/wp-admin/includes/class-wp-upgrader.php on line 464

I've tried switching themes and tried disabling all plugins and nothigng seems to work.